
:root {
  color-scheme: light dark;
}

html {
  display: flex;

  justify-content: center;
  align-items: center;

  height: 100%;
}

p {
  hyphens: auto;
  text-wrap: pretty;
  text-align: justify;
}

body {
  display: flex;
  flex-direction: column;

  width: 40ch;
  margin: 2rem;

  font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji",
      "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";

  gap: 1em;
  font-size: 12pt;

  align-items: center;
}

@media (prefers-color-scheme: light) {
  .invert {
    filter: invert(1);
  }
}

@media (prefers-color-scheme: dark) {
  .invertable .invert:not() {
    filter: invert(1);
  }

  .invert .invertable {
    filter: invert(0);
  }
}

.w-full {
  width: 100%;
}

.w-half {
  width: 50%;
}

.round {
  border-radius: 100%;
}

nav > ul {
  display: flex;
  list-style: none;
  padding: 0;

  li > a {
    text-decoration: none;
    display: inline-flex;
    color: currentColor;
    gap: 0.25em;
    padding: 0.5ch 1ch;

    border-radius: 0.5rem;

    background-color: CanvasText;
    color: Canvas;
  }
}

.icon {
  width: 1.5em;
  height: 1.5em;
  fill: currentColor;
  vertical-align: -0.125em;
}
